% Sample: Get ProductID

% Clear command screen
clc

disp('Sample for IO-Warrior 40')
disp('---------------------')

loadlibrary('iowkit.dll', @iowarrior, 'alias', 'iowkit');
if(libisloaded('iowkit'))
    
    % Show list of functions
    %libfunctionsview iowkit
    
    handle = 0; % HANDLE
    pid = 0;    % Product ID

    % Open IO-Warrior
    disp('Open IO-Warrior')
    handle = calllib('iowkit', 'IowKitOpenDevice', handle);
 
    % Product IDs
    % IO-Warrior40      : INT 5376
    % IO-Warrior24      : INT 5377
    % IO-Warrior24PV    : INT 5393
    % OP-Warrior56      : INT 5379
    pid = calllib('iowkit', 'IowKitGetProductId', handle);
    switch pid
        case 5376
           disp('Connected: IO-Warrior40') 
        case 5377
           disp('Connected: IO-Warrior24')
        case 5393
           disp('Connected: IO-Warrior24 Power Vamoire')
        case 5379
           disp('Connected: IO-Warrior56')
    end
       
    disp('---------------------')
    disp('Close IO-Warrior')
    %Close IO-Warrior DLL
    calllib('iowkit', 'IowKitCloseDevice', handle)
end

if(libisloaded('iowkit'))
    unloadlibrary('iowkit')
end
